{{ $bg_color  := .section.color }}
{{ if .section.modal | or .section.container }}
  {{ $bg_color = .section.container | default "white" }}
{{ end }}

{{ with merge .section .map }}
  {{ if .active }}

    {{- $divider := "" -}}
    {{- if .divider -}}
      {{- $flip_y_ := cond .flip_y "" " divider--flip-y" -}}
      {{- $flip_y  := cond .flip_y "" "y" -}}
      {{- $flip_x  := cond .flip_x "" "x" -}}
      {{- $flips   := cond (or (not .flip_x) (not .flip_y)) (print "-" $flip_x $flip_y) "" -}}
      {{- $divider  = print "map--divider divider divider-" $flips "-" .divider $flip_y_ -}}
      {{- if partial `functions/divider-ratio` $divider -}}
        {{- $divider = print $divider " divider--ratio" -}}
      {{- end -}}
    {{- end -}}

    {{- $class := delimit (slice
      "map"
      $divider
      | uniq) " "
    -}}

    {{ with .iframe }}

      {{ if . | findRE `\.(jpe?g|png|gif|webp|avif|svg)$` }}
        <div data-b="{{ $.map_url | base64Encode }}">
          {{ partial "components/image" (dict
            "class"     $class
            "src"       .
            "alt"       (i18n "map")
            "container" (cond (not $.container_bg) "" $.container)
            "notlazy"   false
          ) }}
        </div>
      {{ else }}
        <iframe class="{{ $class }}" loading="lazy" data-src="{{ . }}" width="600" height="450" allowfullscreen="" title="{{ i18n `location` }}"></iframe>
      {{ end }}

    {{ else }}

      {{ with $.map_url }}
        <iframe class="{{ $class }}" loading="lazy" data-src="{{ . }}&z=15&output=embed" width="600" height="450" allowfullscreen="" title="{{ i18n `location` }}"></iframe>
      {{ end }}

    {{ end }}

  {{ end }}
{{ end }}